import { FormArrayField } from "@web/src/components/common/form/FormArrayField";
import { useFormContext } from "react-hook-form";
import { CourseFormData } from "../context/CourseEditorContext";

export function CourseGoalForm() {
    const { register, formState: { errors }, watch, handleSubmit } = useFormContext<CourseFormData>();

    return (
        <form className="max-w-2xl mx-auto space-y-6 p-6">
            <FormArrayField name="requirements" label="前置要求" placeholder="添加要求"></FormArrayField>
            <FormArrayField name="objectives" label="学习目标" placeholder="添加目标"></FormArrayField>
        </form>
    );
}